<?php

define("evangnet_url", "www.evangnet.cz");

// Základ jmen drupalových proměnných pro jednotlivé senioráty
define("SENVARBASE", "ecal_ro_sen_");

global $senioraty;
$senioraty = array(
    1  => 'Pražský',
    2  => 'Poděbradský',
    3  => 'Jihočeský',
    4  => 'Západočeský',
    5  => 'Ústecký',
    6  => 'Liberecký',
    7  => 'Královéhradecký',
    8  => 'Chrudimský',
    9  => 'Poličský',
    10 => 'Horácký',
    11 => 'Brněnský',
    12 => 'Východomoravský',
    13 => 'Moravskoslezský',
    14 => 'Ochranovský'
);

function get_url($url) {
    //return file($url) ;
    $ch = curl_init();
    curl_setopt($ch, CURLOPT_URL, $url);
    curl_setopt($ch, CURLOPT_RETURNTRANSFER, 1);
    $result = curl_exec ($ch);
//   echo $tmp;
//   echo curl_error($ch);
    curl_close ($ch); 
    return $result;
}



/*
 *  Nasledujici funkce stahne z evangnetu nahled kalendare (parametry jsou 
 *  kodovany jako bezne parametry v URL) a udela z neho dvojrozmerne pole.
 *  Parametry:
 *    enc: kodovani (default= "iso-8859-2", mozno "cp-1250", "utf-8" ci "ascii")
 *    lm:  "limit": kolik polozek...
 *    - ostatni parametry (filtrovani podle ruznych hledisek) zatim neni 
 *    implementovano.
 */


function remove_comment_sign($arr)
{
    $result = array();
    foreach ($arr as $key => $value) {
        if ($value != "#")
        {
            $result[$key] = $value;
        }
    }
    return $result;
}
/*
 * @var $lines: array of CSV lines
 */
function erpc_get_field_names($lines)
{
    foreach ($lines as $value) {
        if (preg_match("@^#\t@", $value)) {
            $header = explode("\t", $value);
            $result = remove_comment_sign($header);
            break;
        }
    }
    return $result;
}

function get_record_as_array($fields, $fieldnames) {
    $result = array();
    foreach ($fields as $key => $value) {
        if (!$key) {
            $id = $value;
        } else {
            $result[$fieldnames[$key]] = $value;
        }
        $result["id"] = $id;
    }
    return $result;
}

function erpc_get_content($lines, $fieldnames) {
    $result = array();
    foreach ($lines as $line) {
        if (!preg_match("@^#\t@", $line) && !empty($line)) {
            $fields = explode("\t", $line);
            $record = get_record_as_array($fields, $fieldnames);
            $id = $record["id"];
            $result[$id] = $record;
        }
    }
    return $result;
}

function erpc_get_list ($url) {
    $s=get_url($url);
    $lines=explode("\n", $s);

    // step1: get field names 
    $fieldnames = erpc_get_field_names($lines);

    // step2: get content
    $result = erpc_get_content($lines, $fieldnames);
    
    return $result;
 }

function curl_post($data, $url)
{
    $first=true;
    $post_string="";
    foreach($data as $key => $val) {
        if ($first) {
            $post_string.=$key . "=" . urlencode($val);
            $first = false;
        } else {
            $post_string.="&" . $key . "=" . urlencode($val);
        }
    }

    $ch = curl_init($url);
    curl_setopt($ch, CURLOPT_HTTP_VERSION, 1.0);
    curl_setopt($ch, CURLOPT_HEADER, 0);
    curl_setopt($ch, CURLOPT_TIMEOUT, 100);
    curl_setopt($ch, CURLOPT_FOLLOWLOCATION,1);
    curl_setopt($ch, CURLOPT_RETURNTRANSFER, 1);
    curl_setopt($ch, CURLOPT_POST, 1);
    curl_setopt($ch, CURLOPT_POSTFIELDS, $post_string);
    $rv=curl_exec($ch);
    curl_close($ch);
    return $rv;
}


?>